Uploaded image for project: 'ngrinder'
  1. ngrinder
  2. NGRINDER-642

Check the java version during agent starting

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 3.2.1
    • Fix Version/s: 3.2.2
    • Component/s: agent
    • Labels:
      None

      Description

      There are some questions about class type incompatibility when running agents.
      Mostly, it's because users run ngrinder agent in the not compatible JVM (like 1.5)

      If ngrinder agent checks the JVM version on which binary is running and report incompatibility issue to the screen, the user might easily found out what mistaks he has.

        Activity

        Hide
        junoyoon JunHo Yoon added a comment -

        Fixed. added the java version check. If the jvm is less than 1.6, ngrinder agent will report the in compatibility issue to the screen.

        Show
        junoyoon JunHo Yoon added a comment - Fixed. added the java version check. If the jvm is less than 1.6, ngrinder agent will report the in compatibility issue to the screen.
        Hide
        junoyoon JunHo Yoon added a comment -

        Fixed

        Show
        junoyoon JunHo Yoon added a comment - Fixed

          People

          • Assignee:
            junoyoon JunHo Yoon
            Reporter:
            junoyoon JunHo Yoon
          • Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: